# HAProxy

The loadbalancer running on the hypervisor, this forwards traffic to all the nodes.

## Requirements

- [docker](https://docs.docker.com/engine/install/debian/)

## Install

```sh
# copy to /opt/haproxy on the hypervisor
docker compose up -d
```

## Config

- Add ports to *docker-compose.yml* 'ports' section.
- Add backend to *haproxy.conf* with all the nodes' IPs.
- Make sure to match it with the traefik or service definitions in k8s.
