# VM routing

Enable IPv4 forwarding for VM access from outside for NAT.

## Requirements

- iptables-persistent
- libvirt
- systemd-newtorkd

## Configure

Change the IP ranges and the LAN intreface (eg. br0) of the hypervisor in the commands.

```sh
iptables -I FORWARD -s 192.168.1.0/24 -d 192.168.123.0/24 -j ACCEPT
iptables -t nat -A POSTROUTING -s 192.168.123.0/24 -o br0 -j MASQUERADE
netfilter-persistent save
```
