# Traefik

This service provides ingress routing for other services.\
Exposed ports need to be added to the load balancer's config (eg. HAproxy on the VM hypervisor).

## Requirements

- keepalived -> moving VirtualIP

## Configure

- match virtual IP to externalIPs

## Install

```sh
kubectl create namespace traefik
helm repo add traefik https://traefik.github.io/charts
helm repo update
helm install traefik traefik/traefik --namespace=traefik -f values.yml
```
